Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.seam.contexts
Class Lifecycle

    java.lang.Object
      org.jboss.seam.contexts.Lifecycle

    public class Lifecycle

extends Object

Methods for setup and teardown of Seam contexts.

Author:
  Gavin King, Thomas Heute

Constructor Summary
`Lifecycle()`

Method Summary
`static void` | `beginApplication(Map<String,Object> app)`
`static void` | `beginCall()`
`static Context` | `beginMethod()`
`static void` | `beginSession(Map<String,Object> session)` Deprecated.
`static void` | `beginSession(Map<String,Object> session, Map<String,Object> appCtx)`
`static void` | `cleanupApplication()`
`static void` | `destroyConversationContext(Map<String,Object> session, String conversationId)`
`static void` | `endApplication()`
`static void` | `endApplication(Map<String,Object> app)`
`static void` | `endCall()`
`static void` | `endMethod(Context context)`
`static void` | `endRequest()`
`static void` | `endSession(Map<String,Object> session)`
`static void` | `endSession(Map<String,Object> session, Map<String,Object> app)`
`static Map<String,Object>` | `getApplication()`
`static boolean` | `isApplicationInitialized()`
`static boolean` | `isDestroying()`
`static void` | `mockApplication()` Deprecated. Use `setupApplication()`
`static void` | `setupApplication()`
`static void` | `setupApplication(Map<String,Object> appCtx)`
`static void` | `startDestroying()`
`static void` | `stopDestroying()`
`static void` | `unmockApplication()` Deprecated. Use `cleanupApplication()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Lifecycle

    public Lifecycle()

Method Detail

### getApplication

    public static Map<String,Object> getApplication()

### isApplicationInitialized

    public static boolean isApplicationInitialized()

### beginApplication

    public static void beginApplication(Map<String,Object> app)

### endApplication

    public static void endApplication()

### endApplication

    public static void endApplication(Map<String,Object> app)

### startDestroying

    public static void startDestroying()

### stopDestroying

    public static void stopDestroying()

### isDestroying

    public static boolean isDestroying()

### beginCall

    public static void beginCall()

### endCall

    public static void endCall()

### mockApplication

    @Deprecated
    public static void mockApplication()

  Deprecated. Use `setupApplication()`

### unmockApplication

    @Deprecated
    public static void unmockApplication()

  Deprecated. Use `cleanupApplication()`

### setupApplication

    public static void setupApplication()

### setupApplication

    public static void setupApplication(Map<String,Object> appCtx)

### cleanupApplication

    public static void cleanupApplication()

### beginMethod

    public static Context beginMethod()

### endMethod

    public static void endMethod(Context context)

### endRequest

    public static void endRequest()

### destroyConversationContext

    public static void destroyConversationContext(Map<String,Object> session,
                                                  String conversationId)

### beginSession

    @Deprecated
    public static void beginSession(Map<String,Object> session)

  Deprecated.

### beginSession

    public static void beginSession(Map<String,Object> session,
                                    Map<String,Object> appCtx)

### endSession

    public static void endSession(Map<String,Object> session)

### endSession

    public static void endSession(Map<String,Object> session,
                                  Map<String,Object> app)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Seam Core JSF2 2.3.0.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012 Seam Framework. All Rights Reserved.